@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");
@import url(../css/bootstrap.min.css);
@import url(../css/swiper-bundle.min.css);
@import url(../fonts/fonts.css);
@import url(../css/aos.css);
@import url(../css/header.css);
@import url(../css/footer.css);


:root {
    /* ---------- COLOR SYSTEM ---------- */
    --color-28: #282896;
    --color-2b: #2B2A29;
    --color-14: #14144B;
    --color-ff: #FFCB05;
    --color-18: #1888EB;
    --color-33: #333333;
    --color-f6: #f6f6f6;
    --color-3d: #3D3DA0;
    --color-white: #ffffff;
    --color-e1: #E1E1E1;
    --color-1a: #1A1718;
    --color-black: #000000;
    --color-f2: #f2f2f2;
    --color-93: #9393CA;
    --color-53: #5353AB;
    --color-1e: #1E1E1E;
    --color-fe: #FEFEFE;
    --color-7d: #7070704D;
    --color-e9: #E9E9F4;
    --color-68: #6868B5;
    --color-40: #FF8B40;
    --color-e3: #E3E3E3;
    --color-70: #707070;
    --color-bc: #e1d5bc;
    --color-69: #FFE069;
    --color-c9: #C9C9C9;
    --color-d4: #D4D4EA;
    --color-66: #666666;




    /* ---------- FONT FAMILY ---------- */
    --font-family-graphicera: 'Graphic Era Sans', sans-serif;
    --font-family-inter: "Inter", sans-serif;
    /* ---------- FLUID FONT SCALE (LATEST MODERN STANDARD) ---------- */
    --font-98: clamp(6rem, 4.2vw, 9.8rem);
    --font-68: clamp(4.8rem, 2.2vw, 6.8rem);
    --font-48: clamp(3.6rem, 2.2vw, 4.8rem);
    --font-42: clamp(3.2rem, 1.9vw, 4.2rem);
    --font-36: clamp(2.6rem, 1.5vw, 3.6rem);
    --font-30: clamp(2.4rem, 1.35vw, 3rem);
    --font-26: clamp(2.2rem, 1.1vw, 2.6rem);
    --font-24: clamp(2.1rem, 1.1vw, 2.4rem);
    --font-21: clamp(1.8rem, .85vw, 2.1rem);
    --font-18: clamp(1.7rem, .85vw, 1.8rem);
    --font-16: clamp(1.6rem, 0.8vw, 1.6rem);
    --font-15: clamp(1.5rem, 0.8vw, 1.5rem);
    --font-14: clamp(1.35rem, 0.8vw, 1.4rem);
    --font-12: clamp(1rem, 0.6vw, 1.2rem);

    /* ---------- SPACING SCALE (MODERN) ---------- */

    --container-padding: 1.5rem;
    --container-min: 1200px;
    --container-ideal: 89.9vw;
    /* hits 1726px at 1920px */
    --container-max: 1420px;


}

/* ---------- FLUID ROOT RESPONSIVE SYSTEM ---------- */
html {
    font-size: clamp(55%, calc(55% + (7.5 * (100vw / 2300))), 62.5%);
}

 body{
    font-family: var(--font-family-graphicera);
    color: var(--color-2b);
    font-size: var(--font-16);
    background: var(--color-f6);
}

.container {
    width: 100%;
    max-width: clamp(var(--container-min), var(--container-ideal), var(--container-max));
    margin-left: auto;
    margin-right: auto;
    padding-inline: var(--container-padding);
}

img {
    outline: 0;
}

@media (min-width:1699px) {
    .container14 {
        max-width: 1471px;
    }

    .container15 {
        max-width: 1564px;
    }

    .container16 {
        max-width: 1682px;
        margin: 0 auto;
    }

    .container17 {
        max-width: 1773px;
        margin: 0 auto;
    }
}

@media (max-width:1699px) {
    .container16 {
        max-width: 1582px;
        margin: 0 auto;
    }
}

.full-width {
    max-width: 1920px;
    margin-inline: auto;
}

@media (max-width: 1399px) {
    :root {
        --font-48: clamp(3.2rem, 3vw + 1rem, 4rem);
    }
}

@media (max-width: 1199px) {
    :root {
        --font-48: clamp(3.2rem, 3vw + 1rem, 3.5rem);
    }
}

@media (max-width: 991px) {

    .container,
    .container16,
    .container15,
    .container14 {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }
}

ul,
figure {
    margin: 0;
    padding: 0;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

.font30 {
    font-size: var(--font-30);
    font-weight: bold;
}

.font48 {
    font-size: var(--font-48);
    font-weight: 300;
}

.streched_link {
    position: absolute;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 9;
}



.search_section {
    padding-block: 20rem 10rem;
    overflow: hidden;
}

.search_section h2 {
    font-size: var(--font-21);
    font-weight: 600;
    margin-bottom: 3rem;
    color: var(--color-28);
}


.serarch_panel_full {
    padding: 2rem;
    border: none;
    background: #dcdcdc30;
    margin-bottom: 2rem;
    position: relative;
    overflow: hidden;
}

.serarch_panel_full small.mb-2 {
    display: none;
}

.search_section h5 {
    font-size: var(--font-21);
    margin-top: 5rem;
    margin-bottom: 2rem;
}

.search_section h6 {
    font-size: var(--font-18);
}

.serarch_panel_full a.overlap_btn {
    background: var(--color-28);
    padding: .5rem 2rem;
    display: inline-block;
    color: #fff;
    margin-top: 1rem;
}
.serarch_panel_full a.overlap_btn:hover {
    background: var(--color-ff);color: var(--color-2b);
}


.search_section ul.pagination {
    justify-content: center;
    margin: 8rem auto 1rem;
}


.active>.page-link,
.page-link.active {
    background: var(--color-28);
    border-color: var(--color-28);
}

.search_section .page-link {
    font-size: 1.2rem;
    padding: .5rem 1rem;
}

@media (max-width:990px) {
    .search_section {
            padding-block: 14rem 10rem;
        }

}

@media (max-width:1499px) {
body .dep_m { padding-block: 4rem; padding-inline: 5rem; }
body .dep_v{ padding-block: 4rem; padding-inline: 5rem; }
    
}

.about_bio { padding-block: 7rem; }
.biotech_grid { display: grid; grid-template-columns: repeat(2, 1fr); gap: 14rem; }
.biotech_left { position: relative; }
.biotech_left p{margin: 0px;}
.biotech_left:after { content: ""; width: 1px; height: 100%; background: #9393ca85; position: absolute; top: 0; right: -5rem; }
.biotech_right { display: flex; align-items: center; gap: 2rem; }
.biotech_grid2 {padding-block: 10rem 5rem;}
.biotech_grid2 { display: grid; grid-template-columns: repeat(2, 1fr); gap: 14rem; }
.biotech_grid3 { display: grid; grid-template-columns: repeat(2, 1fr); gap: 14rem; }
@media (max-width:992px) {
.biotech_grid,.biotech_grid2,.biotech_grid3 {grid-template-columns: repeat(1, 1fr); gap: 2rem; }
.dep_heighlights.bio-heighlight{overflow: hidden;}
.biotech_grid2 { padding-block: 5rem 2rem; }
.about_bio { padding-block: 3rem; }
}
.bio_achivement{padding-block:6rem;}
.bio_achivement h3 { font-size: var(--font-24); font-weight: 300; color: #2B2A29; margin-bottom: 3rem; }
.achivement_bio2 { display: grid; grid-template-columns: repeat(2, 1fr); gap: 14rem; margin-top: 8rem;}
.bio_logo_list { display: grid; grid-template-columns: repeat(3, 1fr); gap: 5rem; margin-top: 5rem;align-items: center; }
.achivement_bio_right { padding-inline: 0 15rem; }
.facility_sec.dep_facility_sec .facility_wrapper.full_text_bi p { margin-bottom: 4rem; }
.faculty-achievements.bio-achive_new1 { background: #f6f6f6; }
.faculty-achievements.bio-achive_new1 p { border-top: 1px solid #ddd; padding-block: 7rem; font-weight: bold; margin-block: 5rem; }
@media (max-width:1280px) {
.achivement_bio2 { gap: 4rem; margin-top: 4rem; }

}
@media (max-width:992px) {
.achivement_bio2 { grid-template-columns: repeat(1, 1fr); gap: 3rem; margin-top:3rem; }
.achivement_bio_right { padding-inline: 0; }
.facility_sec.dep_facility_sec .facility_wrapper.full_text_bi p {
    margin-bottom: 0;
}
}

.bil-b3_grid { display: grid; grid-template-columns: repeat(2, 1fr); gap: 14rem; }
.bio3_lab { padding-bottom: 10rem; }
.lab3_bio_right {
    padding-inline: 0 15rem;
}

@media (max-width:1280px) {
.bil-b3_grid { gap: 4rem; }
.faculty-achievements.bio-achive_new1 p{ padding-block: 7rem 0; margin-block: 5rem 0; }

}
@media (max-width:992px) {

.bil-b3_grid { display: grid; grid-template-columns: repeat(1, 1fr); gap: 4rem; }
.faculty-achievements.bio-achive_new1 p {padding-block: 5rem 2rem;margin-block: 2rem 0;}
.faculty-achievements.bio-achive_new1 .ece_list { margin-bottom:3rem; }
.faculty-achievements.bio-achive_new1{padding-bottom:0;}
.lab3_bio_right { padding-inline: 0; }
.bio3_lab { padding-bottom: 5rem; }
.faculty-achievements.bio-achive_new1 .ece_list figcaption {
    padding-inline: 0;
}
}

/* ====================================== feeadback css new For temporary========== */

